Skip to main content
`Ctrl`+`K`

# TaoRegisterAll

Registers all of the optimization methods in the Tao package.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoRegisterAll(void)

Not Collective

## See Also

`Tao`, `TaoRegister()`, `TaoRegisterDestroy()`

## Level

developer

## Location

src/tao/interface/taosolverregi.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages